Package twisted :: Package conch :: Module identity :: Class ConchIdentity |
[show private | hide private]
[frames | no frames]

## Class ConchIdentity

    Identity --+
               |
              ConchIdentity

Known Subclasses:
  `OpenSSHConchIdentity`

Method Summary
| ``__init__`(self, name, authorizer)` Create an identity. (inherited from `Identity`)
| `__repr__(self)` (inherited from `Identity`)
| ``addClientForService`(self, serviceName, clientClass)` Adds a client class for the given service.
| ``addKeyByString`(self, serviceName, perspectiveName)` Put a key on my keyring. (inherited from `Identity`)
| ``addKeyForPerspective`(self, perspective)` Add a key for the given perspective. (inherited from `Identity`)
| ``addServiceForSelf`(self, serviceName)` This will add the service, using our name as the name for the perspective.
| ``challenge`(self)` I return some random data. (inherited from `Identity`)
| ``getAllKeys`(self)` Returns a list of all services and perspectives this identity can connect to. (inherited from `Identity`)
`str` | ``getHomeDir`(self)` Return the users home directory.
`str` | ``getShell`(self)` Return the users shell.
`tuple` | ``getUserGroupID`(self)` Return a uid and gid for this user as a tuple (uid, gid).
| ``removeKey`(self, serviceName, perspectiveName)` Remove a key from my keyring. (inherited from `Identity`)
| ``requestPerspectiveForKey`(self, serviceName, perspectiveName)` Get a perspective request (a Deferred) for the given key. (inherited from `Identity`)
| ``requestPerspectiveForService`(self, serviceName)` Get the first available perspective for a given service. (inherited from `Identity`)
| ``save`(self)` Persist this Identity to the authorizer. (inherited from `Identity`)
| ``setAlreadyHashedPassword`(self, cyphertext)` (legacy) Set a password for this identity, already md5 hashed. (inherited from `Identity`)
| `setPassword(self, plaintext)` (inherited from `Identity`)
| `upgradeToVersion2(self)` (inherited from `Identity`)
`Deferred` | ``validatePublicKey`(self, pubKeyString)` This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user.
| ``verifyPassword`(self, challenge, hashedPassword)` Verify a challenge/response password. (inherited from `Identity`)
| ``verifyPlainPassword`(self, plaintext)` Verify plain text password. (inherited from `Identity`)

Class Variable Summary
`dict` | `clients`

Method Details

### addClientForService(self, serviceName, clientClass) Adds a client class for the given service. Currently unused. Parameters: `serviceName` (type=`str`) `clientClass` (type=`class`)

### addServiceForSelf(self, serviceName) This will add the service, using our name as the name for the perspective. Currently unused. Parameters: `serviceName` (type=`str`)

### getHomeDir(self) Return the users home directory. Returns: `str`

### getShell(self) Return the users shell. Returns: `str`

### getUserGroupID(self) Return a uid and gid for this user as a tuple (uid, gid). Returns: `tuple`

### validatePublicKey(self, pubKeyString) This should return a Deferred, that gets either called or erred back, depending on if this is a valid key for the user. Parameters: `pubKeyString` (type=`str`) Returns: `Deferred`

Class Variable Details

    ### clients Type: `dict` Value:
        {}

Generated by Epydoc 1.1 on Thu May 8 13:16:21 2003 | http://epydoc.sf.net